Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.logging
Class Logging.LoggerImpl

    java.lang.Object
      org.gradle.api.logging.Logging.LoggerImpl

All Implemented Interfaces:
  Logger

    class Logging.LoggerImpl

Constructor Summary
`Logging.LoggerImpl(def logger)`

Method Summary
`void` | `debug(Marker marker, java.lang.String s)`
`void` | `debug(Marker marker, java.lang.String s, java.lang.Object o)`
`void` | `debug(Marker marker, java.lang.String s, java.lang.Object o, java.lang.Object o1)`
`void` | `debug(Marker marker, java.lang.String s, java.lang.Object[] objects)`
`void` | `debug(Marker marker, java.lang.String s, java.lang.Throwable throwable)`
`void` | `debug(java.lang.String s)`
`void` | `debug(java.lang.String s, java.lang.Object o)`
`void` | `debug(java.lang.String s, java.lang.Object o, java.lang.Object o1)`
`void` | `debug(java.lang.String s, java.lang.Object[] objects)`
`void` | `debug(java.lang.String s, java.lang.Throwable throwable)`
`void` | `error(Marker marker, java.lang.String s)`
`void` | `error(Marker marker, java.lang.String s, java.lang.Object o)`
`void` | `error(Marker marker, java.lang.String s, java.lang.Object o, java.lang.Object o1)`
`void` | `error(Marker marker, java.lang.String s, java.lang.Object[] objects)`
`void` | `error(Marker marker, java.lang.String s, java.lang.Throwable throwable)`
`void` | `error(java.lang.String s)`
`void` | `error(java.lang.String s, java.lang.Object o)`
`void` | `error(java.lang.String s, java.lang.Object o, java.lang.Object o1)`
`void` | `error(java.lang.String s, java.lang.Object[] objects)`
`void` | `error(java.lang.String s, java.lang.Throwable throwable)`
`java.lang.String` | `getName()`
`void` | `info(Marker marker, java.lang.String s)`
`void` | `info(Marker marker, java.lang.String s, java.lang.Object o)`
`void` | `info(Marker marker, java.lang.String s, java.lang.Object o, java.lang.Object o1)`
`void` | `info(Marker marker, java.lang.String s, java.lang.Object[] objects)`
`void` | `info(Marker marker, java.lang.String s, java.lang.Throwable throwable)`
`void` | `info(java.lang.String s)`
`void` | `info(java.lang.String s, java.lang.Object o)`
`void` | `info(java.lang.String s, java.lang.Object o, java.lang.Object o1)`
`void` | `info(java.lang.String s, java.lang.Object[] objects)`
`void` | `info(java.lang.String s, java.lang.Throwable throwable)`
`boolean` | `isDebugEnabled()`
`boolean` | `isDebugEnabled(Marker marker)`
`boolean` | `isEnabled(LogLevel level)`
`boolean` | `isErrorEnabled()`
`boolean` | `isErrorEnabled(Marker marker)`
`boolean` | `isInfoEnabled()`
`boolean` | `isInfoEnabled(Marker marker)`
`boolean` | `isLifecycleEnabled()`
`boolean` | `isProgressEnabled()`
`boolean` | `isQuietEnabled()`
`boolean` | `isTraceEnabled()`
`boolean` | `isTraceEnabled(Marker marker)`
`boolean` | `isWarnEnabled()`
`boolean` | `isWarnEnabled(Marker marker)`
`void` | `lifecycle(java.lang.String message)`
`void` | `lifecycle(java.lang.String message, java.lang.Object objects)`
`void` | `lifecycle(java.lang.String message, java.lang.Throwable throwable)`
`void` | `log(LogLevel level, java.lang.String message)`
`void` | `log(LogLevel level, java.lang.String message, java.lang.Object objects)`
`void` | `log(LogLevel level, java.lang.String message, java.lang.Throwable throwable)`
`void` | `progress(java.lang.String message)`
`void` | `progress(java.lang.String message, java.lang.Object objects)`
`void` | `progress(java.lang.String message, java.lang.Throwable throwable)`
`void` | `quiet(java.lang.String message)`
`void` | `quiet(java.lang.String message, java.lang.Object objects)`
`void` | `quiet(java.lang.String message, java.lang.Throwable throwable)`
`void` | `trace(Marker marker, java.lang.String s)`
`void` | `trace(Marker marker, java.lang.String s, java.lang.Object o)`
`void` | `trace(Marker marker, java.lang.String s, java.lang.Object o, java.lang.Object o1)`
`void` | `trace(Marker marker, java.lang.String s, java.lang.Object[] objects)`
`void` | `trace(Marker marker, java.lang.String s, java.lang.Throwable throwable)`
`void` | `trace(java.lang.String s)`
`void` | `trace(java.lang.String s, java.lang.Object o)`
`void` | `trace(java.lang.String s, java.lang.Object o, java.lang.Object o1)`
`void` | `trace(java.lang.String s, java.lang.Object[] objects)`
`void` | `trace(java.lang.String s, java.lang.Throwable throwable)`
`void` | `warn(Marker marker, java.lang.String s)`
`void` | `warn(Marker marker, java.lang.String s, java.lang.Object o)`
`void` | `warn(Marker marker, java.lang.String s, java.lang.Object o, java.lang.Object o1)`
`void` | `warn(Marker marker, java.lang.String s, java.lang.Object[] objects)`
`void` | `warn(Marker marker, java.lang.String s, java.lang.Throwable throwable)`
`void` | `warn(java.lang.String s)`
`void` | `warn(java.lang.String s, java.lang.Object o)`
`void` | `warn(java.lang.String s, java.lang.Object o, java.lang.Object o1)`
`void` | `warn(java.lang.String s, java.lang.Object[] objects)`
`void` | `warn(java.lang.String s, java.lang.Throwable throwable)`

Methods inherited from class java.lang.Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Constructor Detail

### Logging.LoggerImpl

    public Logging.LoggerImpl(def logger)

Method Detail

### debug

    public void debug(Marker marker, java.lang.String s)

### debug

    public void debug(Marker marker, java.lang.String s, java.lang.Object o)

### debug

    public void debug(Marker marker, java.lang.String s, java.lang.Object o, java.lang.Object o1)

### debug

    public void debug(Marker marker, java.lang.String s, java.lang.Object[] objects)

### debug

    public void debug(Marker marker, java.lang.String s, java.lang.Throwable throwable)

### debug

    public void debug(java.lang.String s)

### debug

    public void debug(java.lang.String s, java.lang.Object o)

### debug

    public void debug(java.lang.String s, java.lang.Object o, java.lang.Object o1)

### debug

    public void debug(java.lang.String s, java.lang.Object[] objects)

### debug

    public void debug(java.lang.String s, java.lang.Throwable throwable)

### error

    public void error(Marker marker, java.lang.String s)

### error

    public void error(Marker marker, java.lang.String s, java.lang.Object o)

### error

    public void error(Marker marker, java.lang.String s, java.lang.Object o, java.lang.Object o1)

### error

    public void error(Marker marker, java.lang.String s, java.lang.Object[] objects)

### error

    public void error(Marker marker, java.lang.String s, java.lang.Throwable throwable)

### error

    public void error(java.lang.String s)

### error

    public void error(java.lang.String s, java.lang.Object o)

### error

    public void error(java.lang.String s, java.lang.Object o, java.lang.Object o1)

### error

    public void error(java.lang.String s, java.lang.Object[] objects)

### error

    public void error(java.lang.String s, java.lang.Throwable throwable)

### getName

    public java.lang.String getName()

### info

    public void info(Marker marker, java.lang.String s)

### info

    public void info(Marker marker, java.lang.String s, java.lang.Object o)

### info

    public void info(Marker marker, java.lang.String s, java.lang.Object o, java.lang.Object o1)

### info

    public void info(Marker marker, java.lang.String s, java.lang.Object[] objects)

### info

    public void info(Marker marker, java.lang.String s, java.lang.Throwable throwable)

### info

    public void info(java.lang.String s)

### info

    public void info(java.lang.String s, java.lang.Object o)

### info

    public void info(java.lang.String s, java.lang.Object o, java.lang.Object o1)

### info

    public void info(java.lang.String s, java.lang.Object[] objects)

### info

    public void info(java.lang.String s, java.lang.Throwable throwable)

### isDebugEnabled

    public boolean isDebugEnabled()

### isDebugEnabled

    public boolean isDebugEnabled(Marker marker)

### isEnabled

    public boolean isEnabled(LogLevel level)

### isErrorEnabled

    public boolean isErrorEnabled()

### isErrorEnabled

    public boolean isErrorEnabled(Marker marker)

### isInfoEnabled

    public boolean isInfoEnabled()

### isInfoEnabled

    public boolean isInfoEnabled(Marker marker)

### isLifecycleEnabled

    public boolean isLifecycleEnabled()

### isProgressEnabled

    public boolean isProgressEnabled()

### isQuietEnabled

    public boolean isQuietEnabled()

### isTraceEnabled

    public boolean isTraceEnabled()

### isTraceEnabled

    public boolean isTraceEnabled(Marker marker)

### isWarnEnabled

    public boolean isWarnEnabled()

### isWarnEnabled

    public boolean isWarnEnabled(Marker marker)

### lifecycle

    public void lifecycle(java.lang.String message)

### lifecycle

    public void lifecycle(java.lang.String message, java.lang.Object objects)

### lifecycle

    public void lifecycle(java.lang.String message, java.lang.Throwable throwable)

### log

    public void log(LogLevel level, java.lang.String message)

### log

    public void log(LogLevel level, java.lang.String message, java.lang.Object objects)

### log

    public void log(LogLevel level, java.lang.String message, java.lang.Throwable throwable)

### progress

    public void progress(java.lang.String message)

### progress

    public void progress(java.lang.String message, java.lang.Object objects)

### progress

    public void progress(java.lang.String message, java.lang.Throwable throwable)

### quiet

    public void quiet(java.lang.String message)

### quiet

    public void quiet(java.lang.String message, java.lang.Object objects)

### quiet

    public void quiet(java.lang.String message, java.lang.Throwable throwable)

### trace

    public void trace(Marker marker, java.lang.String s)

### trace

    public void trace(Marker marker, java.lang.String s, java.lang.Object o)

### trace

    public void trace(Marker marker, java.lang.String s, java.lang.Object o, java.lang.Object o1)

### trace

    public void trace(Marker marker, java.lang.String s, java.lang.Object[] objects)

### trace

    public void trace(Marker marker, java.lang.String s, java.lang.Throwable throwable)

### trace

    public void trace(java.lang.String s)

### trace

    public void trace(java.lang.String s, java.lang.Object o)

### trace

    public void trace(java.lang.String s, java.lang.Object o, java.lang.Object o1)

### trace

    public void trace(java.lang.String s, java.lang.Object[] objects)

### trace

    public void trace(java.lang.String s, java.lang.Throwable throwable)

### warn

    public void warn(Marker marker, java.lang.String s)

### warn

    public void warn(Marker marker, java.lang.String s, java.lang.Object o)

### warn

    public void warn(Marker marker, java.lang.String s, java.lang.Object o, java.lang.Object o1)

### warn

    public void warn(Marker marker, java.lang.String s, java.lang.Object[] objects)

### warn

    public void warn(Marker marker, java.lang.String s, java.lang.Throwable throwable)

### warn

    public void warn(java.lang.String s)

### warn

    public void warn(java.lang.String s, java.lang.Object o)

### warn

    public void warn(java.lang.String s, java.lang.Object o, java.lang.Object o1)

### warn

    public void warn(java.lang.String s, java.lang.Object[] objects)

### warn

    public void warn(java.lang.String s, java.lang.Throwable throwable)

Groovy Documentation